restinio::router::boost_regex_engine_t Struct Reference

Regex engine implementation for using with standard regex implementation. More...

`#include <boost_regex_engine.hpp>`

## Public Types

using | compiled_regex_t = boost::regex
using | match_results_t = std::vector< std::pair< std::size_t, size_t > >
using | matched_item_descriptor_t = match_results_t::value_type

## Static Public Member Functions

static constexpr std::size_t | max_capture_groups ()
static auto | compile_regex (string_view_t r, bool is_case_sensative)
| Create compiled regex object for a given route. More...
static auto | try_match (string_view_t target_path, const compiled_regex_t &r, match_results_t &match_results)
| Wrapper function for matching logic invokation. More...
static auto | submatch_begin_pos (const matched_item_descriptor_t &m)
| Get the beginning of a submatch. More...
static auto | submatch_end_pos (const matched_item_descriptor_t &m)
| Get the end of a submatch. More...

## Detailed Description

Regex engine implementation for using with standard regex implementation.

Definition at line 24 of file boost_regex_engine.hpp.

## Member Typedef Documentation

## compiled_regex_t

using restinio::router::boost_regex_engine_t::compiled_regex_t = boost::regex

Definition at line 26 of file boost_regex_engine.hpp.

## match_results_t

using restinio::router::boost_regex_engine_t::match_results_t = std::vector< std::pair< std::size_t, size_t > >

Definition at line 27 of file boost_regex_engine.hpp.

## matched_item_descriptor_t

using restinio::router::boost_regex_engine_t::matched_item_descriptor_t = match_results_t::value_type

Definition at line 28 of file boost_regex_engine.hpp.

## Member Function Documentation

## compile_regex()

static auto restinio::router::boost_regex_engine_t::compile_regex | ( | string_view_t | r,
|  | bool | is_case_sensative
| ) |  |

inlinestatic

Create compiled regex object for a given route.

Parameters

  r | Regular expression (the pattern).
  is_case_sensative | Option for case sensativity.

Definition at line 40 of file boost_regex_engine.hpp.

## max_capture_groups()

static constexpr std::size_t restinio::router::boost_regex_engine_t::max_capture_groups | ( |  | ) |

inlinestaticconstexpr

Definition at line 31 of file boost_regex_engine.hpp.

## submatch_begin_pos()

static auto restinio::router::boost_regex_engine_t::submatch_begin_pos | ( | const matched_item_descriptor_t & | m | ) |

inlinestatic

Get the beginning of a submatch.

Definition at line 88 of file boost_regex_engine.hpp.

## submatch_end_pos()

static auto restinio::router::boost_regex_engine_t::submatch_end_pos | ( | const matched_item_descriptor_t & | m | ) |

inlinestatic

Get the end of a submatch.

Definition at line 95 of file boost_regex_engine.hpp.

## try_match()

static auto restinio::router::boost_regex_engine_t::try_match | ( | string_view_t | target_path,
|  | const compiled_regex_t & | r,
|  | match_results_t & | match_results
| ) |  |

inlinestatic

Wrapper function for matching logic invokation.

Definition at line 58 of file boost_regex_engine.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/boost_regex_engine.hpp